Skip to navigation

Get Business Bank Account Details

Returns one bank account of a business, including its balance. Account and routing numbers are masked to their last four digits. Requires the api:read scope on a partner token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

business_external_idstringRequired

The id of the business.

account_idstringRequired

The id of the bank account, as returned by List All Bank Accounts for a Business.

Response

idstringformat: "uuid"
account_namestring<=128 characters
account_typeenum
balancestringformat: "decimal"
Available balance of the account, with two decimal places.
is_activeboolean
consumer_idstringOptionalRead-only

The id of the business that owns the account.

bank_namestring or nullOptional<=128 characters
account_routing_numberstringOptionalRead-only
account_numberstringOptionalRead-only
currencyenumOptional

ISO 4217 code of the account’s currency. Defaults to USD.

Allowed values:
statusenumOptional
Allowed values:

Errors

404
Not Found Error